gstreamermm: Gst::SubtitleOverlay Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::SubtitleOverlay Class Reference
gstreamermm Plugins

A Wrapper for the subtitleoverlay plugin. More...

Inheritance diagram for Gst::SubtitleOverlay:
[legend]
Collaboration diagram for Gst::SubtitleOverlay:
[legend]

List of all members.

## Public Member Functions
virtual | ~SubtitleOverlay ()
GstSubtitleOverlay* | gobj ()
| Provides access to the underlying C GObject.
const GstSubtitleOverlay* | gobj () const
| Provides access to the underlying C GObject.
GstSubtitleOverlay* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy< bool > | property_silent ()
| Whether to show subtitles.
Glib::PropertyProxy_ReadOnly < bool > | property_silent () const
| Whether to show subtitles.
Glib::PropertyProxy < Glib::ustring > | property_font_desc ()
| Pango font description of font to be used for subtitle rendering.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_font_desc () const
| Pango font description of font to be used for subtitle rendering.
Glib::PropertyProxy < Glib::ustring > | property_subtitle_encoding ()
| Encoding to assume if input subtitles are not in UTF-8 encoding.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_subtitle_encoding () const
| Encoding to assume if input subtitles are not in UTF-8 encoding.
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr < SubtitleOverlay > | create ()
| Creates a new subtitleoverlay plugin with a unique name.
static Glib::RefPtr < SubtitleOverlay > | create (const Glib::ustring& name)
| Creates a new subtitleoverlay plugin with the given name.
## Protected Member Functions
| SubtitleOverlay ()
| SubtitleOverlay (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr < Gst::SubtitleOverlay > | wrap (GstSubtitleOverlay* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the subtitleoverlay plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::SubtitleOverlay::~SubtitleOverlay | ( |  | ) | `[virtual]`

Gst::SubtitleOverlay::SubtitleOverlay | ( |  | ) | `[protected]`

Gst::SubtitleOverlay::SubtitleOverlay | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<SubtitleOverlay> Gst::SubtitleOverlay::create | ( |  | ) | `[static]`

Creates a new subtitleoverlay plugin with a unique name.

Reimplemented from Gst::Bin.

static Glib::RefPtr<SubtitleOverlay> Gst::SubtitleOverlay::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new subtitleoverlay plugin with the given name.

Reimplemented from Gst::Bin.

static GType Gst::SubtitleOverlay::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::Bin.

GstSubtitleOverlay* Gst::SubtitleOverlay::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Bin.

const GstSubtitleOverlay* Gst::SubtitleOverlay::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::Bin.

GstSubtitleOverlay* Gst::SubtitleOverlay::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::Bin.

Glib::PropertyProxy< Glib::ustring > Gst::SubtitleOverlay::property_font_desc | ( |  | ) |

Pango font description of font to be used for subtitle rendering.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::SubtitleOverlay::property_font_desc | ( |  | ) | const

Pango font description of font to be used for subtitle rendering.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gst::SubtitleOverlay::property_silent | ( |  | ) |

Whether to show subtitles.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gst::SubtitleOverlay::property_silent | ( |  | ) | const

Whether to show subtitles.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::SubtitleOverlay::property_subtitle_encoding | ( |  | ) |

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::SubtitleOverlay::property_subtitle_encoding | ( |  | ) | const

Encoding to assume if input subtitles are not in UTF-8 encoding.

If not set, the GST_SUBTITLE_ENCODING environment variable will be checked for an encoding to use. If that is not set either, ISO-8859-15 will be assumed.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::SubtitleOverlay > wrap | ( | GstSubtitleOverlay * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/subtitleoverlay.h